function CalcInfo(
    videocapacity,
    capacity,
    sumtt_week,
    tt_week) {

    this.videocapacity = videocapacity;
    this.capacity = capacity;
    this.sumtt_week = sumtt_week;
    this.tt_week = tt_week;
}

function HddConfigInfo(
    mainhddnum,
    hde400num,
    hde400totalhddnum) {

    this.mainhddnum = mainhddnum;
    this.hde400num = hde400num;
    this.hde400totalhddnum = hde400totalhddnum;
}

function print_calcResult(F) {
    var now = new Date();
    var DOC = '';

    DOC += '<html><head>';
    DOC += '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">';
    DOC += '<meta http-equiv="Content-Style-Type" content="text/css">';
    DOC += '<link href="output.css" rel="stylesheet" type="text/css">';
    DOC += '<title>' + s_print_title + '</title>';
    DOC += '</head><body>';

    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';
    DOC += '<tr><td>' + s_print_param_01 + '</td>';
    DOC += '<td>' + now.toLocaleString() + '</td></tr>';
    DOC += '<tr><td>' + s_print_param_02 + '</td>';
    DOC += '<td>' + app_name + '&nbsp;&lt;' + base_model_name + '&gt;' + '</td></tr>'; 
    DOC += '<tr><td>' + s_print_param_03 + '</td>';
    DOC += '<td>' + app_ver + '</td></tr>';
    DOC += '</table>';

    DOC += '<br />';

    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';

    var recmode = Number(form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].value);
    var recmodeStr = form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].text;

    DOC += '<tr><td colspan="4" style="border-right-style:none;">';
    if (0 == getRadioValue(form1.rb_advanced)) {
        DOC += txt_s_easystart.innerText + '</td>';
    } else {
        DOC += txt_s_advanced.innerText + '</td>';
    }

    var sCol = (bDspBrCtl == true ? "6" : "5");
    DOC += '<td colspan="' + sCol + '" align="right" style="border-left-style:none;">' + txt_s_recmode.innerText + ':';
    DOC += recmodeStr + '</td></tr>';

    DOC += '<tr><td>&nbsp;</td>';
    DOC += '<td>' + form1.cam0model.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0comp.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0size.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0rate.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0quality.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0audio.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0rec.options[0].text + '</td>';
    DOC += '<td>' + s_cam0face + '</td>';
    if (bDspBrCtl == true) DOC += '<td>' + s_cam_bitrate_kbps + '</td>';
    DOC += '</tr>';

    var camModel = new Array();        
    var camMode = new Array();         
    var camComp = new Array();         
    var t_camSize = new Array();       
    var t_camRate = new Array();       
    var t_camQuality = new Array();    
    var t_camAudio = new Array();      
    var t_camRec = new Array();        

    for (var i = 1; i <= MaxCamNum; i++) {
        var f_camModel = F['cam' + i + 'model'];
        var f_camComp = F['cam' + i + 'comp'];
        var f_camSize = F['cam' + i + 'size'];
        var f_camRate = F['cam' + i + 'rate'];
        var f_camQuality = F['cam' + i + 'quality'];
        var f_camAudio = F['cam' + i + 'audio'];
        var f_camRec = F['cam' + i + 'rec'];
        var f_camFace = F['cam' + i + 'face'];

        camModel[i] = f_camModel[f_camModel.selectedIndex].text;
        camMode[i] = f_camModel[f_camModel.selectedIndex].value;
        camComp[i] = f_camComp[f_camComp.selectedIndex].text;
        t_camSize[i] = f_camSize[f_camSize.selectedIndex].text;
        t_camRate[i] = f_camRate[f_camRate.selectedIndex].text;
        t_camQuality[i] = f_camQuality[f_camQuality.selectedIndex].text;
        t_camAudio[i] = f_camAudio[f_camAudio.selectedIndex].text;
        t_camRec[i] = f_camRec[f_camRec.selectedIndex].text;

        DOC += '<tr><td>' + i + '</td>';
        DOC += '<td>' + camModel[i] + '</td>';
        DOC += '<td>' + camComp[i] + '</td>';
        DOC += '<td>' + t_camSize[i] + '</td>';
        DOC += '<td>' + t_camRate[i] + '</td>';
        DOC += '<td>' + t_camQuality[i] + '</td>';
        DOC += '<td>' + t_camAudio[i] + '</td>';
        DOC += '<td>' + t_camRec[i] + '</td>';
        if (i <= MaxFMcamNum) {
            DOC += '<td>' + (f_camFace.checked == true ? p_on : p_off) + '</td>';
        } else {
            DOC += '<td>--</td>';
        }
        if (bDspBrCtl == true) {
            DOC += '<td>' + (Math.round(camBpr[i] * 100)) / 100;
            if (camComp[i] == "MJPEG") {
                DOC += '<br>' + (Math.round(camBpr[i] / defGetaJpeg * 100)) / 100;
            }
            DOC += '</td>';
        }
        DOC += '</tr>';
    }
    DOC += '</table>';

    DOC += '<br />';

    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';
    DOC += '<tr><td colspan="' + (MaxScheduleNum + 1) + '">' + txt_sWeekRecCap_1.innerText + '</td></tr>';
    DOC += '<tr><td>&nbsp;</td>';
    for (var sch = 0; sch < MaxScheduleNum; sch++) {
        DOC += '<td>' + p_recschedule + (sch + 1) + '</td>';
    }
    DOC += '</tr>';

    DOC += '<tr><td>' + txt_sDayOfWeek1_1.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_mon_1)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_mon_1)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_mon_1)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_mon_2)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_mon_2)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_mon_2)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_mon_3)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_mon_3)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_mon_3)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_mon_4)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_mon_4)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_mon_4)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td></tr>';
    }

    DOC += '<tr><td>' + txt_sDayOfWeek2_1.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_tue_1)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_tue_1)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_tue_1)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_tue_2)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_tue_2)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_tue_2)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_tue_3)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_tue_3)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_tue_3)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_tue_4)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_tue_4)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_tue_4)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td></tr>';
    }

    DOC += '<tr><td>' + txt_sDayOfWeek3_1.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_wed_1)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_wed_1)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_wed_1)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_wed_2)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_wed_2)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_wed_2)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_wed_3)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_wed_3)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_wed_3)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_wed_4)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_wed_4)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_wed_4)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td></tr>';
    }

    DOC += '<tr><td>' + txt_sDayOfWeek4_1.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_thu_1)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_thu_1)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_thu_1)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_thu_2)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_thu_2)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_thu_2)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_thu_3)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_thu_3)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_thu_3)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_thu_4)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_thu_4)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_thu_4)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td></tr>';
    }

    DOC += '<tr><td>' + txt_sDayOfWeek5_1.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_fri_1)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_fri_1)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_fri_1)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_fri_2)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_fri_2)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_fri_2)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_fri_3)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_fri_3)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_fri_3)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_fri_4)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_fri_4)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_fri_4)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td></tr>';
    }

    DOC += '<tr><td>' + txt_sDayOfWeek6_1.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_sat_1)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_sat_1)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_sat_1)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_sat_2)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_sat_2)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_sat_2)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_sat_3)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_sat_3)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_sat_3)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_sat_4)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_sat_4)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_sat_4)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td></tr>';
    }

    DOC += '<tr><td>' + txt_sDayOfWeek7_1.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_sun_1)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_sun_1)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_sun_1)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_sun_2)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_sun_2)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_sun_2)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_sun_3)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td>';
    } else if (0 == getRadioValue(form1.rb_sun_3)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td>';
    } else if (1 == getRadioValue(form1.rb_sun_3)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td>';
    }
    if (2 == getRadioValue(form1.rb_sun_4)) {
        DOC += '<td>' + txt_sTimeTableSel0_1.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_sun_4)) {
        DOC += '<td>' + txt_sTimeTableSel1_1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_sun_4)) {
        DOC += '<td>' + txt_sTimeTableSel2_1.innerText + '</td></tr>';
    }
    DOC += '</table>';
    DOC += '<br />';

    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';
    DOC += '<tr><td colspan="' + (MaxScheduleNum + 2) + '">' + txt_sTimeTableCap_1.innerText + '</td></tr>';
    DOC += '<tr><td>&nbsp;</td><td>&nbsp;</td>';
    for (var sch = 0; sch < MaxScheduleNum; sch++) {
        DOC += '<td>' + p_recschedule + (sch + 1) + '</td>';
    }
    DOC += '</tr>';

    var time = new Array([], [], [], []);      
    for (var sch = 0; sch < MaxScheduleNum; sch++) {
        var x = 1;
        var sch_str = '_' + String(sch + 1);
        for (var i = 1; i <= 2; i++) { 
            for (var j = 1; j <= 3; j++) { 
                var begin_h = F['tbl' + i + 'begin_h' + j + sch_str];
                var begin_m = F['tbl' + i + 'begin_m' + j + sch_str];
                var end_h = F['tbl' + i + 'end_h' + j + sch_str];
                var end_m = F['tbl' + i + 'end_m' + j + sch_str];
                time[sch][x] = begin_h[begin_h.selectedIndex].text + ':' +
                    begin_m[begin_m.selectedIndex].text + '-' +
                    end_h[end_h.selectedIndex].text + ':' +
                    end_m[end_m.selectedIndex].text;
                x++;
            }
        }
    }
    for (var x = 1; x <= 6; x++) {
        if (1 <= x && x <= 3) { 
            DOC += '<tr><td>' + txt_sTimeTableSel1_1.innerText + '</td>';
            DOC += '<td>' + x + '</td>';
        } else { 
            DOC += '<tr><td>' + txt_sTimeTableSel2_1.innerText + '</td>';
            DOC += '<td>' + (x - 3) + '</td>';
        }
        for (var sch = 0; sch < MaxScheduleNum; sch++) {
           DOC += '<td>' + time[sch][x] + '</td>';
        }
        DOC += '</tr>';
    }
    DOC += '</table>';
    DOC += '<br />';

    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';
    if (app_dst == 'ja') {
        DOC += '<tr><td colspan="3">' + txt_s_output_title0.innerText +
            '</td></tr>';
    } else {
        DOC += '<tr><td colspan="2">' + txt_s_output_title0.innerText +
            '</td></tr>';
    }
    if (app_dst == 'ja') {
        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_h0.innerText + '</td>';
        DOC += '<td>' + txt_s_output_label_h1.innerText + '</td>';
        DOC += '<td>' + txt_s_output_label_h2.innerText + '</td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_m01.innerText + '</td>';
        DOC += '<td>' + txt_s_output_label_2Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_2Tx2.value + '<label>' +
            txt_s_result_day_2Tx2.innerText + '</label></td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_m02.innerText + '</td>';
        DOC += '<td>' + txt_s_output_label_3Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_3Tx2.value + '<label>' +
           txt_s_result_day_3Tx2.innerText + '</label></td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_m03.innerText + '</td>';
        DOC += '<td>' + txt_s_output_label_4Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_4Tx2.value + '<label>' +
           txt_s_result_day_4Tx2.innerText + '</label></td></tr>';
    } else {

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_1Tx1.innerText + '</td>';
        DOC += '<td>' + form1.u_result_1Tx1.value + '<label>' +
            txt_s_result_day_1Tx1.innerText + '</label></td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_1Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_1Tx2.value + '<label>' +
            txt_s_result_day_1Tx2.innerText + '</label></td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_3Tx1.innerText + '</td>';
        DOC += '<td>' + form1.u_result_3Tx1.value + '<label>' +
            txt_s_result_day_3Tx1.innerText + '</label></td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_2Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_2Tx2.value + '<label>' +
            txt_s_result_day_2Tx2.innerText + '</label></td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_5Tx1.innerText + '</td>';
        DOC += '<td>' + form1.u_result_5Tx1.value + '<label>' +
            txt_s_result_day_5Tx1.innerText + '</label></td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_3Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_3Tx2.value + '<label>' +
           txt_s_result_day_3Tx2.innerText + '</label></td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_4Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_4Tx2.value + '<label>' +
           txt_s_result_day_4Tx2.innerText + '</label></td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_5Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_5Tx2.value + '<label>' +
           txt_s_result_day_5Tx2.innerText + '</label></td></tr>';

        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_6Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_6Tx2.value + '<label>' +
           txt_s_result_day_6Tx2.innerText + '</label></td></tr>';
    }
    DOC += '</table>';
    DOC += '<br />';

    DOC += txt_s_result_cap1.innerText + '<br />';    
    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';

    DOC += '<tr>';
    DOC += '<td colspan=2>' + txt_s_ext_output_label0.innerText + '</td>';

    if (form1.sel_RecModel.disabled == true) {    
        DOC += '<td colspan=2>' + '---' + '</td>';
    } else {
        DOC += '<td colspan=2>' + form1.sel_RecModel.options[form1.sel_RecModel.selectedIndex].text + '</td>';
    }
    DOC += '</tr>';

    DOC += '<tr>';
    DOC += '<td colspan=2>' + txt_s_ext_output_label1.innerText + '</td>';
    if (form1.sel_HDD.disabled == true) {    
        DOC += '<td colspan=2>' + '---' + txt_s_result_cap2.innerText + '</td>';  
    } else {
        DOC += '<td colspan=2>' + form1.sel_HDD.options[form1.sel_HDD.selectedIndex].text;
        DOC += txt_s_result_cap2.innerText + '</td>';    
    }
    DOC += '</tr>';

    DOC += '<tr>';
    DOC += '<td colspan=2>' + '&nbsp' + '</td>';
    DOC += '<td>' + txt_s_ext_output_label2.innerText + '</td>';
    DOC += '<td>' + txt_s_ext_output_label3.innerText + '</td>';
    DOC += '</tr>';

    DOC += '<tr>';
    DOC += '<td colspan=2>' + txt_s_ext_output_label4.innerText + '</td>';

    if (form1.u_input_recdays_tb.value == '' || recmode == p_dualmode) {   
        DOC += '<td>' + '-';
    } else {
        DOC += '<td>' + form1.u_input_recdays_tb.value;
    }
    DOC += '<label>' + txt_s_ext_result_day1.innerText + '</label></td>';

    DOC += '<td>' + form1.u_result_recdaysmax_tb.value + '<label>' +
            txt_s_ext_result_day2.innerText + '</label></td>';
    DOC += '</tr>';

    DOC += '<tr>';
    DOC += '<td rowspan=2>' + txt_s_ext_output_label5.innerText + '</td>';
    DOC += '<td>' + txt_s_ext_output_label6.innerText + '</td>';
    DOC += '<td>' + form1.u_result_ext1_tb.value + '</td>';
    DOC += '<td>' + form1.u_result_ext1max_tb.value + '</td>';
    DOC += '</tr>';

    DOC += '<tr>';
    DOC += '<td>' + txt_s_ext_output_label7.innerText + '</td>';
    DOC += '<td>' + form1.u_result_ext2_tb.value + '</td>';
    DOC += '<td>' + form1.u_result_ext2max_tb.value + '</td>';
    DOC += '</tr>';

    DOC += '</table>';

    newWin = window.open('', 'new1');
    newWin.document.open();
    newWin.document.write(DOC);
    newWin.document.close();
}

function createCamModelSelection(obj) {
    var v_camModel = new Array();
    var t_camModel = new Array();

    if (obj == form1.cam0model) {
        for (var i = 0; i < List_CameraModel.length; i++) {
            v_camModel[i] = List_CameraModel[i][1];
            t_camModel[i] = List_CameraModel[i][0];
        }
    } else {
        for (var i = 0; i < List_CameraModel.length - 1; i++) {
            v_camModel[i] = List_CameraModel[i + 1][1];
            t_camModel[i] = List_CameraModel[i + 1][0];
        }
    }
    createSelection(obj, v_camModel, t_camModel);
}


function createCompressionSelection(obj, mode) {
    var v_camComp = new Array();
    var t_camComp = new Array();

    for (var idx = 0; idx < List_Compression[mode].length; idx++) {
        v_camComp[idx] = idx;
        t_camComp[idx] = List_Compression[mode][idx];
    }

    createSelection(obj, v_camComp, t_camComp);
}


function createCaptureSizeSelection(obj, mode, comp) {
    var v_camSize = new Array();
    var t_camSize = new Array();

    for (var idx1 = 0; idx1 < List_ImageCaptureSize[mode][comp].length;
            idx1++) {
        for (var idx2 = 0; idx2 < List_ImageCaptureSize[0][comp].length;
                idx2++) {
            if (List_ImageCaptureSize[mode][comp][idx1] ==
                    List_ImageCaptureSize[0][comp][idx2]) {
                if (0 == mode) {
                    v_camSize[idx1] = idx2;
                } else {
                    v_camSize[idx1] = idx2 - 1;
                }
                t_camSize[idx1] = List_ImageCaptureSize[mode][comp][idx1];
                continue;
            }
        }
    }

    createSelection(obj, v_camSize, t_camSize);
}


function createRateSelection(obj, mode, comp, size) {
    var v_camRate = new Array();
    var t_camRate = new Array();
    var idx_end = 1;

    if (comp == p_H264) {
       if (mode == ipro5_S2 || mode == ipro5_S2_f || mode == ipro5g_S2 || mode == ipro5j_S2 ||
          mode == ipro7_h265_a || mode == ipro7_h265_b || mode == ipro7_h265_c || mode == ipro7_h265_d || mode == ipro7_h265_e) {
           if (size == p_HD16 || size == p_FHD16) {
               idx_end = List_Rate[mode].length; 
           } else {
               idx_end = List_Rate[mode].length - 1; 
           }
        }
        else if (mode == ipro5a_S2 || mode == ipro5b_S2 || mode == ipro5c_S2 || mode == ipro5d_S2 ||
                mode == ipro5e_S2 || mode == ipro5f_S2) {
           if (size == p_HD16) {
               idx_end = List_Rate[mode].length; 
           } else {
               idx_end = List_Rate[mode].length - 1; 
           }
        }
        else if (mode == ipro6_q_s || mode == ipro6_q) {
           if (size == p_SVGA || size == p_SXVGA) {
               idx_end = List_Rate[mode].length; 
           } else {
               idx_end = List_Rate[mode].length; 
           }
        }
        else if (mode == ipro6_fe_s_om) {
           if (size == p_9M) {
               idx_end = List_Rate[mode].length - 1; 
           } else {
               idx_end = List_Rate[mode].length; 
           }
        }
        else if (mode == ipro6_2m_s_om) {
           if (size == p_8M) {
               idx_end = List_Rate[mode].length - 2; 
           } else {
               idx_end = List_Rate[mode].length; 
           }
        }
        else if (mode == ipro6_pt) {
           if (size == p_5M || size == p_QXGA || size == p_SXVGA || size == p_SVGA) {
               idx_end = List_Rate[mode].length - 1; 
           } else {
               idx_end = List_Rate[mode].length; 
           }
        }
        else if (mode == ipro6a_4k) {
           if (size == p_4KUHD16) {
               idx_end = List_Rate[mode].length - 1; 
           } else {
               idx_end = List_Rate[mode].length; 
           }
        }
        else if (mode == ipro7_h265_n || mode == ipro7_h265_q) {
            idx_end = List_Rate[mode].length - 1; 
        }
        else if (mode == ipro7_h265_k_om || mode == ipro7_h265_o_om) {
            if (size == p_9M) {
                idx_end = List_Rate[mode].length - 1; 
            }
            else {
                idx_end = List_Rate[mode].length; 
            }
        }
        else {
           idx_end = List_Rate[mode].length; 
        }
    }
    else if (comp == p_MPEG4) {
        idx_end = List_Rate[mode].length;
    }
    else if (comp == p_MJPEG) {
        if (mode == ipro5_S2 || mode == ipro5_S2_f || mode == ipro5a_S2 || mode == ipro5b_S2 ||
            mode == ipro5c_S2 || mode == ipro5d_S2 ||
            mode == ipro5e_S2 || mode == ipro5f_S2 || mode == ipro5g_S2 || mode == ipro5j_S2 ||
            mode == ipro7_h265_a || mode == ipro7_h265_b || mode == ipro7_h265_c || mode == ipro7_h265_d || mode == ipro7_h265_e
            ) { 
             idx_end = List_Rate[mode].length - 4; 
        }
        else {　
            idx_end = List_Rate[mode].length - 3; 
        }
    }
    else {  
        idx_end = List_Rate[mode].length; 
    }

    for (var idx = 0; idx < idx_end; idx++) {
        v_camRate[idx] = idx;
        t_camRate[idx] = List_Rate[mode][idx];
    }
    createSelection(obj, v_camRate, t_camRate);
}


function createQualitySelection(obj, mode, comp) {
    var v_camQuality = new Array();
    var t_camQuality = new Array();

    for (var idx = 0; idx < List_Quality[mode].length; idx++) {
        if (comp != p_H264 && p_XF == List_Quality[mode][idx]) {
        } else {
            v_camQuality[idx] = List_Quality[mode].length - 1 - idx;
            t_camQuality[idx] = List_Quality[mode][idx];
        }
    }
    createSelection(obj, v_camQuality, t_camQuality);
}


function createAudioSelection(obj, mode) {
    var v_camAudio = new Array();
    var t_camAudio = new Array();

    for (var idx = 0; idx < List_Audio[mode].length; idx++) {
        v_camAudio[idx] = idx;
        t_camAudio[idx] = List_Audio[mode][idx];
    }
    for (var j = 1; j <= MaxCamNum; j++) {
        if (mode == mic1_omni) {
            if (is360cam(j) == true) {    
                v_camAudio[idx] = j + nAudioOffset;
                t_camAudio[idx] = p_AudCamCap + j.toString(10);
                idx++;
            }
        }
    }
    createSelection(obj, v_camAudio, t_camAudio);
}

function createRecSelection(obj, mode) {
    var v_camRec = new Array();
    var t_camRec = new Array();
    var modeidx;

    switch (Number(mode)) {
        case 0:
            modeidx = 0;
            break;
        case Blank: 
            modeidx = 1;
            break;
        case mic1_omni:
            modeidx = 3;
            break;
        default:
            modeidx = 2;
            break;
    }

    for (var idx = 0; idx < List_Rec[modeidx].length; idx++) {
        v_camRec[idx] = idx;
        t_camRec[idx] = List_Rec[modeidx][idx];
    }
    createSelection(obj, v_camRec, t_camRec);
}

function setSelectionSelected(obj, text) {
    for (var i = 0; i < obj.options.length; i++) {
        if (text == obj.options[i].text) {
            obj.options[i].selected = 'selected';
            break;
        }
    }
}


function createNumSelection(obj, num) {
    var v_Nums = new Array();
    var t_Nums = new Array();

    for (var idx = 0; idx <= num; idx++) {
        v_Nums[idx] = idx;
        t_Nums[idx] = String(v_Nums[idx]);
    }
    createSelection(obj, v_Nums, t_Nums);
}


function createMinSelection(obj, mode) {
    var v_Nums = new Array();
    var t_Nums = new Array();

    if (mode == 0) {
        for (var idx = 0; idx < List_Minute.length; idx++) {
            v_Nums[idx] = List_Minute[idx][0];
            t_Nums[idx] = List_Minute[idx][1];
        }
    } else {
        v_Nums[0] = List_Minute[0][0];
        t_Nums[0] = List_Minute[0][1];
    }
    createSelection(obj, v_Nums, t_Nums);
}

function change_CamModel(obj, F) {
    var easymode = getRadioValue(form1.rb_advanced);

    var camno = obj.name;                            
    var camModel = obj[obj.selectedIndex].text;      
    var camMode = obj[obj.selectedIndex].value;      

    var cammodel = 'cam' + camno + 'model';
    var camcomp = 'cam' + camno + 'comp';
    var camsize = 'cam' + camno + 'size';
    var camrate = 'cam' + camno + 'rate';
    var camquality = 'cam' + camno + 'quality';
    var camaudio = 'cam' + camno + 'audio';
    var camrec = 'cam' + camno + 'rec';
    var camface = 'cam' + camno + 'face';

    var change_camComp = document.getElementById(camcomp);
    var change_camCompValue =
        change_camComp[change_camComp.selectedIndex].text;
    var change_camSize = document.getElementById(camsize);
    var change_camSizeValue =
        change_camSize[change_camSize.selectedIndex].text;
    var change_camRate = document.getElementById(camrate);
    var change_camRateValue =
        change_camRate[change_camRate.selectedIndex].text;
    var change_camQuality = document.getElementById(camquality);
    var change_camQualityValue =
        change_camQuality[change_camQuality.selectedIndex].text;
    var change_camAudio = document.getElementById(camaudio);
    var change_camAudioValue =
        change_camAudio[change_camAudio.selectedIndex].text;
    var change_camRec = document.getElementById(camrec);
    var change_camRecValue =
        change_camRec[change_camRec.selectedIndex].text;
    var change_camFace = document.getElementById(camface);

    if (camModel == p_blank) {
        $('#cam' + camno + 'onoff').attr('checked', '');
        $('#cam' + camno + 'onoff').attr('disabled', 'disabled');
    } else {
        $('#cam' + camno + 'onoff').attr('checked', 'checked');
        $('#cam' + camno + 'onoff').attr('disabled', '');
    }

    createCompressionSelection(change_camComp, camMode);
    Initialize_data(change_camComp, camMode, 1);
    if (p_advanced == easymode) {
        setSelectionSelected(change_camComp, change_camCompValue);
    }

    createCaptureSizeSelection(change_camSize, camMode,
            change_camComp[change_camComp.selectedIndex].text);
    Initialize_data(change_camSize, camMode, 2);
    if (p_advanced == easymode) {
        setSelectionSelected(change_camSize, change_camSizeValue);
    }

    createRateSelection(change_camRate, camMode,
            change_camComp[change_camComp.selectedIndex].text, change_camSize[change_camSize.selectedIndex].text);
    Initialize_data(change_camRate, camMode, 3);
    setSelectionSelected(change_camRate, change_camRateValue);

    createQualitySelection(change_camQuality, camMode,
            change_camComp[change_camComp.selectedIndex].text);
    Initialize_data(change_camQuality, camMode, 4);
    setSelectionSelected(change_camQuality, change_camQualityValue);

    var nTarget = get360linkID(camno);    

    if ((is360dev(camno) == true) && (is360linked(camno) == true)) {   
        force360audioOff(nTarget);        
        toggle360link(get360linkID(nTarget), nTarget);    
    }

    regNewCamTo360table(Number(camMode), camno);
    update_AudioSub();    

    createRecSelection(change_camRec, camMode);
    Initialize_data(change_camRec, camMode, 6);
    setSelectionSelected(change_camRec, change_camRecValue);

    if (camno <= MaxFMcamNum) {
       Initialize_data(change_camFace, camMode, 7);
    }

    allCalculate(F);
}


function change_Compression(obj, F) {

    change_CompressionSub(obj);

    allCalculate(F);
}

function change_CompressionSub(obj)
{
    var easymode = getRadioValue(form1.rb_advanced);

    var camno = obj.name;                            
    var compSelected = obj[obj.selectedIndex].text;  

    var cammodel = 'cam' + camno + 'model';
    var camsize = 'cam' + camno + 'size';
    var camrate = 'cam' + camno + 'rate';
    var camquality = 'cam' + camno + 'quality';

    var modelSelected = document.getElementById(cammodel);
    var camModel = modelSelected[modelSelected.selectedIndex].text;
    var camMode = modelSelected[modelSelected.selectedIndex].value;

    var change_camSize = document.getElementById(camsize);
    var change_camSizeValue =
        change_camSize[change_camSize.selectedIndex].text;
    var change_camRate = document.getElementById(camrate);
    var change_camRateValue =
        change_camRate[change_camRate.selectedIndex].text;
    var change_camQuality = document.getElementById(camquality);
    var change_camQualityValue =
        change_camQuality[change_camQuality.selectedIndex].text;

    createCaptureSizeSelection(change_camSize, camMode, compSelected);
    Initialize_data(change_camSize, camMode, 2);
    if (p_advanced == easymode) {
        setSelectionSelected(change_camSize, change_camSizeValue);
    }

    createRateSelection(change_camRate, camMode, compSelected, change_camSize[change_camSize.selectedIndex].text);
    Initialize_data(change_camRate, camMode, 3);
    setSelectionSelected(change_camRate, change_camRateValue);

    createQualitySelection(change_camQuality, camMode, compSelected);
    Initialize_data(change_camQuality, camMode, 4);

    if (camMode == ipro4a_om || camMode == ipro6_fe_s_om ) {      
        if (compSelected != p_H264) {
            var nTarget = get360linkID(camno);    
            if (is360linked(camno) == true) {     
                toggle360link(get360linkID(nTarget), nTarget);   
            }
            clear360dev(camno);
        } else { 
            reg360cam(camno);
        }
        update_AudioSub();    
    }

    setSelectionSelected(change_camQuality, change_camQualityValue);
}

function change_ImageCaptureSize(obj, F) {

    var camno = obj.name;                            

    var camcomp = 'cam' + camno + 'comp';
    var cammodel = 'cam' + camno + 'model';
    var camsize = 'cam' + camno + 'size';
    var camrate = 'cam' + camno + 'rate';

    var modelSelected = document.getElementById(cammodel);

    var change_camSize = document.getElementById(camsize);
    var change_camSizeValue =
        change_camSize[change_camSize.selectedIndex].text;

    var camMode = modelSelected[modelSelected.selectedIndex].value;

    var change_camComp = document.getElementById(camcomp);

    var change_camRate = document.getElementById(camrate);
    var change_camRateValue =
        change_camRate[change_camRate.selectedIndex].text;

    createRateSelection(change_camRate, camMode,
                     change_camComp[change_camComp.selectedIndex].text, change_camSizeValue);
    Initialize_data(change_camRate, camMode, 3);
    setSelectionSelected(change_camRate, change_camRateValue);

    allCalculate(F);
}


function change_Rate(F) {
    allCalculate(F);
}


function change_Quality(F) {
    allCalculate(F);
}


function change_Audio(obj, F) {
    change_AudioSub(obj);
    allCalculate(F);
}

function change_AudioSub(obj)
{
    var selNo = obj.name;          

    var selModel = 'cam' + selNo + 'model';  
    var selAudio = 'cam' + selNo + 'audio';  

    var selModelID = document.getElementById(selModel);
    var selAudioID = document.getElementById(selAudio);

    if (is360dev(selNo) == false) return;                                     
    if ((is360cam(selNo) == true) && (is360linked(selNo) == false)) return;   

    var selAudVal = selAudioID[selAudioID.selectedIndex].value; 
    if (selAudVal < nAudioOffset) {                           
        var nTarget = get360linkID(selNo);                    
        force360audioOff(nTarget);                            
        toggle360link(get360linkID(nTarget), nTarget);        
    }

    else {
        var tarCamNo = selAudVal - nAudioOffset;              
        var nTarget = get360linkID(tarCamNo);                 
        var nLink = get360linkID(nTarget);                    

        if (is360linked(selNo) == true) {                     
            force360audioOff(get360linkID(selNo));            
            toggle360link(get360linkID(selNo), selNo);        
        }
        if (is360linked(tarCamNo) == true) {                  
            toggle360link(get360linkID(tarCamNo), tarCamNo);  
        }

        toggle360link(tarCamNo, selNo);                       
    }
    update_AudioSub();    
}

function update_AudioSub()
{
    var easymode = getRadioValue(form1.rb_advanced);

    for (var idx = 1; idx <= MaxCamNum; idx++) {

        var lo_audio = 'cam' + idx + 'audio';
        var lo_camAudio = document.getElementById(lo_audio);
        var camAudioVal = lo_camAudio[lo_camAudio.selectedIndex].text;

        var lo_model = 'cam' + idx + 'model';
        var lo_modelSelected = document.getElementById(lo_model);
        var lo_camModel = lo_modelSelected[lo_modelSelected.selectedIndex].value;

        createAudioSelection(lo_camAudio, lo_camModel);
        Initialize_data(lo_camAudio, lo_camModel, 5); 

        if (is360mic(idx) == true) {   
            lo_camAudio.disabled = false;  
            if (is360linked(idx) == true) {  
                lo_camAudio.value = (nAudioOffset - get360linkID(idx));  
            } else {
                setSelectionSelected(lo_camAudio, p_off); 
            }
        }
        else if (is360cam(idx) == true) {
            if (is360linked(idx) == true) {  
                setSelectionSelected(lo_camAudio, p_on); 
                lo_camAudio.disabled = true;
            }
            else {
                if (p_advanced == easymode) {       
                    setSelectionSelected(lo_camAudio, camAudioVal);
                }
            }
        }
        else {
            if (p_advanced == easymode) {       
                setSelectionSelected(lo_camAudio, camAudioVal);
            }
        }
    }
}

function change_Rec(F) {
    allCalculate(F);
}


function change_weekMode(F) {
    allCalculate(F);
}

function change_recMode(F) {
    var recmode = Number(form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].value);

    if (recmode == p_dualmode) {
        form1.u_input_recdays_tb.style.background = '#C8C8C8';
        form1.u_input_recdays_tb.disabled = true;

    } else {
        form1.u_input_recdays_tb.style.background = '#ffffff';
        form1.u_input_recdays_tb.disabled = false;
    }

    if (recmode == p_raid5mode || recmode == p_raid6mode) {
        form1.sel_RecModel.selectedIndex = sel_recmodel.length - 1; 
        form1.sel_RecModel.disabled = false;
    }
    allCalculate(F);
}


function change_timeTable(obj, F, sch) {
    var timetable = new Array();
    var s_time = new Array();
    var e_time = new Array();

    var st_h, et_m, st_h, et_m;
    var n_st_h = 0;
    var str_sch = '_' + String(sch);

    for (var i = 1; i <= 2; i++) {
        for (var j = 1; j <= 3; j++) {
            st_h = F['tbl' + i + 'begin_h' + j + str_sch].value;
            st_m = F['tbl' + i + 'begin_m' + j + str_sch].value;
            et_h = F['tbl' + i + 'end_h' + j + str_sch].value;

            if (et_h == '24') {
                F['tbl' + i + 'end_m' + j + str_sch].selectedIndex = 0;
            }

            et_m = F['tbl' + i + 'end_m' + j + str_sch].value;

            s_time[j] = Number(st_h) + Number(st_m);
            e_time[j] = Number(et_h) + Number(et_m);
        }

        for (var j = 1; j <= 3; j++) {
            if (s_time[j] > e_time[j]) {
                n_st_h = Number(F['tbl' + i + 'begin_h' + j + str_sch].value);
                F['tbl' + i + 'end_h' + j + str_sch].selectedIndex = n_st_h + 1;
                e_time[j] = s_time[j] + 1;
            }
        }

        for (var j = 1; j <= 3; j++) {
            for (var h = 1; h <= 3; h++) {
                if (j < h) {
                    if (s_time[j] < e_time[h] && s_time[h] < e_time[j]) {
                        alert(alert_overlap);

                        F['tbl' + i + 'begin_h' + h + str_sch].selectedIndex = 0;
                        F['tbl' + i + 'begin_m' + h + str_sch].selectedIndex = 0;
                        F['tbl' + i + 'end_h' + h + str_sch].selectedIndex = 0;
                        F['tbl' + i + 'end_m' + h + str_sch].selectedIndex = 0;
                        break;
                    }
                }
            }
        }
    }

    allCalculate(F);
}


function change_allCamModel(obj, F) {
    var easymode = getRadioValue(form1.rb_advanced);

    var init = obj[obj.selectedIndex].text;
    var camMode = obj[obj.selectedIndex].value;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_Model = F['cam' + i + 'model'];

        var change_camComp = F['cam' + i + 'comp'];
        var change_camCompValue =
            change_camComp[change_camComp.selectedIndex].text;
        var change_camSize = F['cam' + i + 'size'];
        var change_camSizeValue =
            change_camSize[change_camSize.selectedIndex].text;
        var change_camRate = F['cam' + i + 'rate'];
        var change_camRateValue =
            change_camRate[change_camRate.selectedIndex].text;
        var change_camQuality = F['cam' + i + 'quality'];
        var change_camQualityValue =
            change_camQuality[change_camQuality.selectedIndex].text;
        var change_camAudio = F['cam' + i + 'audio'];
        var change_camAudioValue =
            change_camAudio[change_camAudio.selectedIndex].text;
        var change_camRec = F['cam' + i + 'rec'];
        var change_camRecValue =
            change_camRec[change_camRec.selectedIndex].text;
        var change_camFace = F['cam' + i + 'face'];

        for (var j = 0; j < change_Model.options.length; j++) {
            if (init == change_Model.options[j].text) {
                change_Model.options[j].selected = 'selected';
                break;
            }
        }

        if (change_Model.value < 2) {
            $('#cam' + i + 'onoff').attr('checked', '');
            $('#cam' + i + 'onoff').attr('disabled', 'disabled');
        } else {
            $('#cam' + i + 'onoff').attr('checked', 'checked');
            $('#cam' + i + 'onoff').attr('disabled', '');
        }

        createCompressionSelection(change_camComp, camMode);
        Initialize_data(change_camComp, camMode, 1);
        if (p_advanced == easymode) {
            setSelectionSelected(change_camComp, change_camCompValue);
        }

        var compSelected =
            change_camComp[change_camComp.selectedIndex].text;
        createCaptureSizeSelection(change_camSize, camMode, compSelected);
        Initialize_data(change_camSize, camMode, 2);
        if (p_advanced == easymode) {
            setSelectionSelected(change_camSize, change_camSizeValue);
        }

        createRateSelection(change_camRate, camMode, compSelected, change_camSize[change_camSize.selectedIndex].text);
        Initialize_data(change_camRate, camMode, 3);
        setSelectionSelected(change_camRate, change_camRateValue);

        createQualitySelection(change_camQuality, camMode, compSelected);
        Initialize_data(change_camQuality, camMode, 4);
        setSelectionSelected(change_camQuality, change_camQualityValue);

        regNewCamTo360table(Number(camMode), i);
        update_AudioSub();    

        if (p_advanced == easymode) {
            setSelectionSelected(change_camAudio, change_camAudioValue);
        }

        createRecSelection(change_camRec, camMode);
        Initialize_data(change_camRec, camMode, 6);
        setSelectionSelected(change_camRec, change_camRecValue);

        if (i <= MaxFMcamNum) {
            Initialize_data(change_camFace, camMode, 7);
        }
    }

    obj.options[0].selected = 'selected';

    allCalculate(F);
}


function change_allCompression(obj, F) {
    var init = obj[obj.selectedIndex].text;             

    for (var i = 1; i <= MaxCamNum; i++) {
        var modelSelected = F['cam' + i + 'model'];
        var camMode = modelSelected[modelSelected.selectedIndex].value;
        var change_obj = F['cam' + i + 'comp'];
        var change_camSize = F['cam' + i + 'size'];
        var change_camRate = F['cam' + i + 'rate'];
        var change_camFace = F['cam' + i + 'face'];

        var init_before = change_obj.value;

        createCompressionSelection(change_obj, camMode);


        if (i <= MaxFMcamNum && true == change_camFace.checked) {
            continue;
        }

        var change_flag = false;

        for (var j = 0; j < change_obj.options.length; j++) {
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                change_flag = true;
                break;
            }
        }

        if (false == change_flag) {
            change_obj.value = init_before;
        }

        change_CompressionSub(change_obj);
    }

    obj.options[0].selected = 'selected';
    allCalculate(F);
}


function change_allImageCaptureSize(obj, F) {
    var init = obj[obj.selectedIndex].text;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_obj = F['cam' + i + 'size'];
        var change_camFace = F['cam' + i + 'face'];

        if (i <= MaxFMcamNum && true == change_camFace.checked) {
            continue;
        }

        for (var j = 0; j < change_obj.options.length; j++) {
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                break;
            }
        }
        var change_camComp = F['cam' + i + 'comp'];

        var change_camMode = F['cam' + i + 'model'];
        var change_camModeValue = change_camMode[change_camMode.selectedIndex].value;

        var change_camRate = F['cam' + i + 'rate'];
        var change_camRateValue =
            change_camRate[change_camRate.selectedIndex].text;

        var change_camSize = F['cam' + i + 'size'];

        createRateSelection(change_camRate, change_camModeValue, change_camComp[change_camComp.selectedIndex].text, change_camSize[change_camSize.selectedIndex].text);
        Initialize_data(change_camRate, change_camModeValue, 3);
        setSelectionSelected(change_camRate, change_camRateValue);

    }
    obj.options[0].selected = 'selected';
    allCalculate(F);
}


function change_allRate(obj, F) {
    var init = obj[obj.selectedIndex].text;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_obj = F['cam' + i + 'rate'];
        var change_camFace = F['cam' + i + 'face'];

        if (i <= MaxFMcamNum && true == change_camFace.checked) {
            continue;
        }

        for (var j = 0; j < change_obj.options.length; j++) {
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                break;
            }
        }
    }
    obj.options[0].selected = 'selected';
    allCalculate(F);
}


function change_allQuality(obj, F) {
    var init = obj[obj.selectedIndex].text;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_obj = F['cam' + i + 'quality'];
        var change_camFace = F['cam' + i + 'face'];

        if (i <= MaxFMcamNum && true == change_camFace.checked) {
            continue;
        }

        for (var j = 0; j < change_obj.options.length; j++) {
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                break;
            }
        }
    }
    obj.options[0].selected = 'selected';
    allCalculate(F);
}


function change_allAudio(obj, F) {
    var init = obj[obj.selectedIndex].text;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_obj = F['cam' + i + 'audio'];
        if (init == p_off && is360dev(i) == true && is360linked(i) == true) {  
            toggle360link(get360linkID(i), i);  
            force360audioOff(get360linkID(i));    
        }
        for (var j = 0; j < change_obj.options.length; j++) {
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                break;
            }
        }
    }
    obj.options[0].selected = 'selected';
    update_AudioSub();    
    allCalculate(F);
}


function change_allRec(obj, F) {
    var init = obj[obj.selectedIndex].text;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_obj = F['cam' + i + 'rec'];

        for (var j = 0; j < change_obj.options.length; j++) {
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                break;
            }
        }
    }
    obj.options[0].selected = 'selected';
    allCalculate(F);
}


function change_faceMode(obj, F) {
    var mode = obj.checked;
    var camno = obj.name;

    var cammodel = 'cam' + camno + 'model';
    var camcomp = 'cam' + camno + 'comp';
    var camsize = 'cam' + camno + 'size';
    var camrate = 'cam' + camno + 'rate';
    var camquality = 'cam' + camno + 'quality';

    var modelSelected = document.getElementById(cammodel);
    var change_camComp = document.getElementById(camcomp);
    var change_camSize = document.getElementById(camsize);
    var change_camRate = document.getElementById(camrate);
    var change_camQuality = document.getElementById(camquality);

    var easymode = getRadioValue(form1.rb_advanced);

    switch (Number(modelSelected[modelSelected.selectedIndex].value)) {
        case ipro2_HD_f:
        case ipro2b_HD_f:
        case ipro4b_FHD_f:
        case ipro4c_FHD_f:
        case ipro4n_FHD_f:
        case ipro4o_FHD_f:
        case ipro5_S2: 
        case ipro5a_S2: 
        case ipro5c_S2:
        case ipro5_S2_f:
        case ipro5f_S2:
        case ipro7_h265_a: 
        case ipro7_h265_b: 
            if (mode == true) {
                FaceMatching_data(change_camComp, 0);

                change_CompressionSub(change_camComp);

                FaceMatching_data(change_camSize, 1);
                FaceMatching_data(change_camRate, 2);
                FaceMatching_data(change_camQuality, 3);

                if (p_advanced == easymode) {
                    change_camComp.disabled = true;
                    change_camSize.disabled = true;
                }
                change_camRate.disabled = true;
                change_camQuality.disabled = true;
            } else {
                if (p_advanced == easymode) {
                    change_camComp.disabled = false;
                    change_camSize.disabled = false;
                }
                change_camRate.disabled = false;
                change_camQuality.disabled = false;
            }
            break;

        default:
            alert('change_faceMode(obj, F) カメラ区分が対象外');
            break;
    }

    allCalculate(F);
}


function FaceMatching_data(obj, item) {
    var init = List_FaceMatching[item];

    for (var i = 0; i < obj.options.length; i++) {
        if (init == obj.options[i].text) {
            obj.options[i].selected = 'selected';
            break;
        }
    }
}



function Initialize_data(obj, mode, item) {
    var init = List_Initial[mode][item];
    var easymode = getRadioValue(form1.rb_advanced);
    var nCurrent = obj.name;          
    if (1 <= item && item <= 6) {
        if (easymode == p_easystart) {
            switch (item) {
                case 1 :  
                case 2 :  
                case 5 :  
                case 6 :  
                    obj.disabled = true;
                    break;
                default:
                    obj.disabled = false;
                    break;
            }
        } else {
            obj.disabled = false;
        }

        for (var i = 0; i < obj.options.length; i++) {
            if (init == obj.options[i].text) {
                obj.options[i].selected = 'selected';
                break;
            }
            if (i == (obj.options.length - 1)) {
                obj.options[i].selected = 'selected';
            }
        }
    } else if (item == 7) {
        var cammodel = 'cam' + nCurrent + 'model';
        var camcomp = 'cam' + nCurrent + 'comp';
        var camsize = 'cam' + nCurrent + 'size';
        var camrate = 'cam' + nCurrent + 'rate';
        var camquality = 'cam' + nCurrent + 'quality';
        var camaudio = 'cam' + nCurrent + 'audio';
        var camface = 'cam' + nCurrent + 'face';

        var modelSelected = document.getElementById(cammodel);
        var change_camComp = document.getElementById(camcomp);
        var change_camSize = document.getElementById(camsize);
        var change_camRate = document.getElementById(camrate);
        var change_camQuality = document.getElementById(camquality);
        var change_camAudio = document.getElementById(camaudio);
        var change_camFace = document.getElementById(camface);

        if (init == p_notSupported) {
            obj.checked = false;
            obj.disabled = true;
        } else {
            obj.disabled = false;
        }
        if (mode != mic1_omni) {

            if (easymode == p_easystart) {
                change_camComp.disabled = true;
                change_camSize.disabled = true;
                change_camAudio.disabled = true;

                if (true == change_camFace.checked) {
                    change_camRate.disabled = true;
                    change_camQuality.disabled = true;
                } else {
                    change_camRate.disabled = false;
                    change_camQuality.disabled = false;
                }
            } else {
                if (true == change_camFace.checked) {
                    change_camComp.disabled = true;
                    change_camSize.disabled = true;
                    change_camRate.disabled = true;
                    change_camQuality.disabled = true;
                    change_camAudio.disabled = false;
                } else {
                    change_camComp.disabled = false;
                    change_camSize.disabled = false;
                    change_camRate.disabled = false;
                    change_camQuality.disabled = false;
                    change_camAudio.disabled = false;

                }
            }

            if (true == change_camFace.checked) {
                FaceMatching_data(change_camComp, 0);
                FaceMatching_data(change_camSize, 1);
                FaceMatching_data(change_camRate, 2);
                FaceMatching_data(change_camQuality, 3);
            }
        }
    }
}


function change_inputMode(F) {
    var mode = getRadioValue(form1.rb_advanced);

    for (var camno = 0; camno <= MaxCamNum; camno++) {
        var cammodel = 'cam' + camno + 'model';
        var camcomp = 'cam' + camno + 'comp';
        var camsize = 'cam' + camno + 'size';
        var camrate = 'cam' + camno + 'rate';
        var camquality = 'cam' + camno + 'quality';
        var camaudio = 'cam' + camno + 'audio';
        var camrec = 'cam' + camno + 'rec';
        var camface = 'cam' + camno + 'face';

        var modelSelected = document.getElementById(cammodel);
        var change_camComp = document.getElementById(camcomp);
        var change_camSize = document.getElementById(camsize);
        var change_camRate = document.getElementById(camrate);
        var change_camQuality = document.getElementById(camquality);
        var change_camAudio = document.getElementById(camaudio);
        var change_camRec = document.getElementById(camrec);
        var change_camFace = document.getElementById(camface);

        var camModel = modelSelected[modelSelected.selectedIndex].text;
        var camMode = modelSelected[modelSelected.selectedIndex].value;

        if (camno != 0) {
            Initialize_data(change_camComp, camMode, 1);

            var compSelected =
                    change_camComp[change_camComp.selectedIndex].text;
            createCaptureSizeSelection(change_camSize, camMode, compSelected);
            Initialize_data(change_camSize, camMode, 2);

            var change_camSizeValue =
                change_camSize[change_camSize.selectedIndex].text;

            createRateSelection(change_camRate, camMode, compSelected, change_camSizeValue);
            Initialize_data(change_camRate, camMode, 3);
            Initialize_data(change_camQuality, camMode, 4);

            if (camMode == ipro4a_om || camMode == ipro6_fe_s_om ) {  
                if (compSelected != p_H264) {              
                    if (is360cam(camno) == true) {         
                        if (is360linked(camno) == true) {  
                            var nTarget = get360linkID(camno);    
                            toggle360link(get360linkID(nTarget), nTarget);   
                        }
                        clear360dev(camno);                
                    }
                } else { 
                    var nTarget = get360linkID(camno);     
                    if (is360cam(camno) == false) {        
                        reg360cam(camno);                  
                    }
                }
            }
            update_AudioSub();    
            Initialize_data(change_camRec, camMode, 6);

            createQualitySelection(change_camQuality, camMode, compSelected);
            Initialize_data(change_camQuality, camMode, 4);

            if (camno <= MaxFMcamNum) {
                Initialize_data(change_camFace, camMode, 7);
            }
        } else if (mode == p_easystart) {
            if (0 == camno) {
                change_camComp.disabled = true;
                change_camSize.disabled = true;
                change_camAudio.disabled = true;
                change_camRec.disabled = true;
            }
        } else if (mode == p_advanced) {
            if (0 == camno) {
                change_camComp.disabled = false;
                change_camSize.disabled = false;
                change_camAudio.disabled = false;
                change_camRec.disabled = false;
            }
        } else {
            alert('error change_inputMode() rb_advanced');
        }
    }

    if (mode == p_easystart) {
        for (var sch = 0; sch < MaxScheduleNum; sch++) {
            var sch_str = '_' + String(sch + 1);
            for (var i = 1; i <= 2; i++) {
                for (var j = 1; j <= 3; j++) {
                    F['tbl' + i + 'begin_h' + j + sch_str].selectedIndex = 0;
                    F['tbl' + i + 'begin_m' + j + sch_str].selectedIndex = 0;
                    if (i == 1 && j == 1) {
                        F['tbl' + i + 'end_h' + j + sch_str].selectedIndex = 24;
                    } else {
                        F['tbl' + i + 'end_h' + j + sch_str].selectedIndex = 0;
                    }
                    F['tbl' + i + 'end_m' + j + sch_str].selectedIndex = 0;

                    F['tbl' + i + 'begin_h' + j + sch_str].disabled = true;
                    F['tbl' + i + 'begin_m' + j + sch_str].disabled = true;
                    F['tbl' + i + 'end_h' + j + sch_str].disabled = true;
                    F['tbl' + i + 'end_m' + j + sch_str].disabled = true;
                }
            }
        }

        for (var i = 0; i <= 2; i++) {
            F['rb_mon_tt' + i + '_1'].disabled = true;
            F['rb_tue_tt' + i + '_1'].disabled = true;
            F['rb_wed_tt' + i + '_1'].disabled = true;
            F['rb_thu_tt' + i + '_1'].disabled = true;
            F['rb_fri_tt' + i + '_1'].disabled = true;
            F['rb_sat_tt' + i + '_1'].disabled = true;
            F['rb_sun_tt' + i + '_1'].disabled = true;

            form1.rb_mon_1[0].checked = true;
            form1.rb_tue_1[0].checked = true;
            form1.rb_wed_1[0].checked = true;
            form1.rb_thu_1[0].checked = true;
            form1.rb_fri_1[0].checked = true;
            form1.rb_sat_1[0].checked = true;
            form1.rb_sun_1[0].checked = true;

            F['rb_mon_tt' + i + '_2'].disabled = true;
            F['rb_tue_tt' + i + '_2'].disabled = true;
            F['rb_wed_tt' + i + '_2'].disabled = true;
            F['rb_thu_tt' + i + '_2'].disabled = true;
            F['rb_fri_tt' + i + '_2'].disabled = true;
            F['rb_sat_tt' + i + '_2'].disabled = true;
            F['rb_sun_tt' + i + '_2'].disabled = true;

            form1.rb_mon_2[0].checked = true;
            form1.rb_tue_2[0].checked = true;
            form1.rb_wed_2[0].checked = true;
            form1.rb_thu_2[0].checked = true;
            form1.rb_fri_2[0].checked = true;
            form1.rb_sat_2[0].checked = true;
            form1.rb_sun_2[0].checked = true;

            F['rb_mon_tt' + i + '_3'].disabled = true;
            F['rb_tue_tt' + i + '_3'].disabled = true;
            F['rb_wed_tt' + i + '_3'].disabled = true;
            F['rb_thu_tt' + i + '_3'].disabled = true;
            F['rb_fri_tt' + i + '_3'].disabled = true;
            F['rb_sat_tt' + i + '_3'].disabled = true;
            F['rb_sun_tt' + i + '_3'].disabled = true;

            form1.rb_mon_3[0].checked = true;
            form1.rb_tue_3[0].checked = true;
            form1.rb_wed_3[0].checked = true;
            form1.rb_thu_3[0].checked = true;
            form1.rb_fri_3[0].checked = true;
            form1.rb_sat_3[0].checked = true;
            form1.rb_sun_3[0].checked = true;

            F['rb_mon_tt' + i + '_4'].disabled = true;
            F['rb_tue_tt' + i + '_4'].disabled = true;
            F['rb_wed_tt' + i + '_4'].disabled = true;
            F['rb_thu_tt' + i + '_4'].disabled = true;
            F['rb_fri_tt' + i + '_4'].disabled = true;
            F['rb_sat_tt' + i + '_4'].disabled = true;
            F['rb_sun_tt' + i + '_4'].disabled = true;

            form1.rb_mon_4[0].checked = true;
            form1.rb_tue_4[0].checked = true;
            form1.rb_wed_4[0].checked = true;
            form1.rb_thu_4[0].checked = true;
            form1.rb_fri_4[0].checked = true;
            form1.rb_sat_4[0].checked = true;
            form1.rb_sun_4[0].checked = true;

        }
    } else if (mode == p_advanced) {
        for (var i = 1; i <= 2; i++) {
            for (var j = 1; j <= 3; j++) {
                for (var sch = 0; sch < MaxScheduleNum; sch++) {
                    var sch_str = '_' + String(sch + 1);
                    F['tbl' + i + 'begin_h' + j + sch_str].disabled = false;
                    F['tbl' + i + 'begin_m' + j + sch_str].disabled = false;
                    F['tbl' + i + 'end_h' + j + sch_str].disabled = false;
                    F['tbl' + i + 'end_m' + j + sch_str].disabled = false;
                }
            }
        }

        for (var i = 0; i <= 2; i++) {
            for (var sch = 0; sch < MaxScheduleNum; sch++) {
                var sch_str = '_' + String(sch + 1);
                F['rb_mon_tt' + i + sch_str].disabled = false;
                F['rb_tue_tt' + i + sch_str].disabled = false;
                F['rb_wed_tt' + i + sch_str].disabled = false;
                F['rb_thu_tt' + i + sch_str].disabled = false;
                F['rb_fri_tt' + i + sch_str].disabled = false;
                F['rb_sat_tt' + i + sch_str].disabled = false;
                F['rb_sun_tt' + i + sch_str].disabled = false;
            }
        }
    } else {
        alert('error change_inputMode() rb_advanced');
    }

    allCalculate(F);
}


function Initialize(F) {
    form1.rb_advanced[0].checked = true;

    form1.sel_Recmode.length = sel_recmode_str.length;
    for (var i = 0; i < sel_recmode_str.length; i++) {
        form1.sel_Recmode.options[i].value = sel_recmode[i];
        form1.sel_Recmode.options[i].text = sel_recmode_str[i];
    }
    form1.sel_Recmode.selectedIndex = 0;

    form1.sel_HDD.length = sel_ext_hdd_capa.length;
    for (var i = 0; i < sel_ext_hdd_capa.length; i++) {
        form1.sel_HDD.options[i].value = sel_ext_hdd_capa[i];
        form1.sel_HDD.options[i].text = sel_ext_hdd_capa[i] + sel_hdd_unit;
    }
    form1.sel_HDD.selectedIndex = 0;

    form1.sel_RecModel.length = sel_recmodel_str.length;
    for (var i = 0; i < sel_recmodel_str.length; i++) {
        form1.sel_RecModel.options[i].value = sel_recmodel[i];
        form1.sel_RecModel.options[i].text = sel_recmodel_str[i];
    }

    form1.sel_RecModel.selectedIndex = sel_recmodel.length - 2;

    for (var i = 0; i <= MaxCamNum; i++) {
        createCamModelSelection(F['cam' + i + 'model']);
    }

    form1.u_input_recdays_tb.value = '';

    for (var i = 0; i <= MaxCamNum; i++) {
        if (i == 0) {
            createCompressionSelection(F['cam' + i + 'comp'], Model);
            createCaptureSizeSelection(F['cam' + i + 'size'], Model, p_H264);
            createRateSelection(F['cam' + i + 'rate'], Model, p_H264, p_VGA);
            createQualitySelection(F['cam' + i + 'quality'], Model, p_H264);
            createAudioSelection(F['cam' + i + 'audio'], Model);
            createRecSelection(F['cam' + i + 'rec'], Model);
        } else {
            createCompressionSelection(F['cam' + i + 'comp'], Blank);
            createCaptureSizeSelection(F['cam' + i + 'size'], Blank, p_H264);
            createRateSelection(F['cam' + i + 'rate'], Blank, p_H264, p_VGA);
            createQualitySelection(F['cam' + i + 'quality'], Blank, p_H264);
            createAudioSelection(F['cam' + i + 'audio'], Blank);
            createRecSelection(F['cam' + i + 'rec'], Blank);
            clear360dev(i);    
            if (i <= MaxFMcamNum) {
                var change_camFace = F['cam' + i + 'face'];
                Initialize_data(change_camFace, Blank, 7);
            }

            F['cam' + i + 'onoff'].checked = false;
        }
    }

    for (var i = 1; i <= 2; i++) {
        for (var j = 1; j <= 3; j++) {
            createNumSelection(F['tbl' + i + 'begin_h' + j + '_1'], 23);
            createMinSelection(F['tbl' + i + 'begin_m' + j + '_1'], 0);
            createNumSelection(F['tbl' + i + 'end_h' + j + '_1'], 24);
            createMinSelection(F['tbl' + i + 'end_m' + j + '_1'], 0);

            createNumSelection(F['tbl' + i + 'begin_h' + j + '_2'], 23);
            createMinSelection(F['tbl' + i + 'begin_m' + j + '_2'], 0);
            createNumSelection(F['tbl' + i + 'end_h' + j + '_2'], 24);
            createMinSelection(F['tbl' + i + 'end_m' + j + '_2'], 0);

            createNumSelection(F['tbl' + i + 'begin_h' + j + '_3'], 23);
            createMinSelection(F['tbl' + i + 'begin_m' + j + '_3'], 0);
            createNumSelection(F['tbl' + i + 'end_h' + j + '_3'], 24);
            createMinSelection(F['tbl' + i + 'end_m' + j + '_3'], 0);

            createNumSelection(F['tbl' + i + 'begin_h' + j + '_4'], 23);
            createMinSelection(F['tbl' + i + 'begin_m' + j + '_4'], 0);
            createNumSelection(F['tbl' + i + 'end_h' + j + '_4'], 24);
            createMinSelection(F['tbl' + i + 'end_m' + j + '_4'], 0);
        }
    }

    change_inputMode(F);
}

function get_CalcInfo(F) {
    var camModel = new Array();        
    var camMode = new Array();         
    var camComp = new Array();         
    var t_camSize = new Array();       
    var v_camSize = new Array();       
    var t_camRate = new Array();       
    var v_camRate = new Array();       
    var t_camQuality = new Array();    
    var v_camQuality = new Array();    
    var t_camAudio = new Array();      
    var v_camAudio = new Array();      
    var t_camRec = new Array();        
    var v_camRec = new Array();        
    var camFace = new Array();         
    var bitrate = new Array();         

    var calcInfo = new CalcInfo(0, new Array(0, 0, 0, 0), new Array(0, 0, 0, 0), new Array([], [], [], []), 0, 0, 0, 0);

    for (var i = 1; i <= MaxCamNum; i++) {
        var f_camModel = F['cam' + i + 'model'];
        var f_camComp = F['cam' + i + 'comp'];
        var f_camSize = F['cam' + i + 'size'];
        var f_camRate = F['cam' + i + 'rate'];
        var f_camQuality = F['cam' + i + 'quality'];
        var f_camAudio = F['cam' + i + 'audio'];
        var f_camRec = F['cam' + i + 'rec'];
        var f_camFace = F['cam' + i + 'face'];
        var bJpegCam = false;          

        camModel[i] = f_camModel[f_camModel.selectedIndex].text;
        camMode[i] = f_camModel[f_camModel.selectedIndex].value;
        camComp[i] = f_camComp[f_camComp.selectedIndex].text;
        t_camSize[i] = f_camSize[f_camSize.selectedIndex].text;
        t_camRate[i] = f_camRate[f_camRate.selectedIndex].text;
        t_camQuality[i] = f_camQuality[f_camQuality.selectedIndex].text;
        t_camAudio[i] = f_camAudio[f_camAudio.selectedIndex].text;
        t_camRec[i] = f_camRec[f_camRec.selectedIndex].text;

        v_camSize[i] = f_camSize[f_camSize.selectedIndex].value;
        v_camRate[i] = f_camRate[f_camRate.selectedIndex].value;
        v_camQuality[i] = f_camQuality[f_camQuality.selectedIndex].value;
        v_camAudio[i] = f_camAudio[f_camAudio.selectedIndex].value;
        v_camRec[i] = f_camRec[f_camRec.selectedIndex].value;
        if (i <= MaxFMcamNum) camFace[i] = f_camFace.checked;

        var List_bitrateTable = new Array();
        var bitrate_FaceMatching = 0;
        var bitrate_OmniMic = 0;

        var n_camMode = Number(camMode[i]);
        var n_camSize = Number(v_camSize[i]);
        var n_camRate = Number(v_camRate[i]);
        var n_camQuality = Number(v_camQuality[i]);
        var n_camAudio = Number(v_camAudio[i]);
        var n_camRec = Number(v_camRec[i]);

        if (Flag_np502table == 1) {
            if (camModel[i] == p_NP502 || camModel[i] == p_NW502) {
                n_camMode = ipro1_a;
            }
        }

        var vmdsize = VMDINFO;
        switch (n_camMode) {
            case ipro1:
            case ipro1_a:
            case ipro2_Enc1:
            case ipro2_Enc2:
            case ipro2_Enc3:
            case ipro2_Enc4:
            case ipro2_Enc5:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table1H264;
                    bitrate_FaceMatching = bitrateTable1_FaceMatching;
                } else if (camComp[i] == p_MPEG4) {
                    List_bitrateTable = List_Table1MPEG4;
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table1MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            case ipro2_Std:
            case ipro2a_Std:
            case ipro2b_Std:
            case ipro2c_Std:
            case ipro2d_Std:
            case ipro2_HD_f:
            case ipro2a_HD:
            case ipro2b_HD_f:
            case ipro2c_HD:
            case ipro2d_HD:
            case ipro2e_HD:
            case ipro2f_HD:
            case ipro2g_HD:
            case ipro2h_HD:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table2H264;
                    bitrate_FaceMatching = bitrateTable2_FaceMatching;
                } else if (camComp[i] == p_MPEG4) {
                    List_bitrateTable = List_Table2MPEG4;
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table2MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            case ipro4_fhd_om:
            case ipro4a_om:
            case ipro4b_om:
                if (is360cam(i) == true && is360linked(i) == true) {    
                    bitrate_OmniMic = bitrateTable0_OmniMic;
                    n_camAudio = 0; 
                }
            case ipro4_FHD:
            case ipro4a_FHD:
            case ipro4b_FHD_f:
            case ipro4c_FHD_f:
            case ipro4d_FHD:
            case ipro4e_FHD:
            case ipro4f_FHD:
            case ipro4g_FHD:
            case ipro4h_FHD:
            case ipro4i_FHD:
            case ipro4j_FHD:
            case ipro4k_FHD:
            case ipro4l_FHD:
            case ipro4m_FHD:
            case ipro4n_FHD_f:
            case ipro4o_FHD_f:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table4H264;
                    bitrate_FaceMatching = bitrateTable4_FaceMatching;
                } else if (camComp[i] == p_MPEG4) {
                    List_bitrateTable = List_Table4MPEG4;
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table4MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            case ipro5_S2:
            case ipro5a_S2:
            case ipro5b_S2:
            case ipro5c_S2:
            case ipro5_S2_f:
            case ipro5d_S2:
            case ipro5e_S2:
            case ipro5f_S2:
            case ipro5g_S2:
            case ipro5h_S2:
            case ipro5i_S2:
            case ipro5j_S2:

                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table5H264;
                    bitrate_FaceMatching = bitrateTable5_FaceMatching;
                } else if (camComp[i] == p_MPEG4) {
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table5MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            case ipro6_fe_s_om:
            case ipro6_p_s_om:
            case ipro6_2m_s_om:
                if (is360cam(i) == true && is360linked(i) == true) {    
                    bitrate_OmniMic = bitrateTable0_OmniMic;
                    n_camAudio = 0; 
                }
            case ipro6_p_s:
            case ipro6_q_s:
            case ipro6_q:
            case ipro6_pt:
            case ipro6a_4k:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table6H264;
                    bitrate_FaceMatching = bitrateTable6_FaceMatching;
                } else if (camComp[i] == p_MPEG4) {
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table6MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            case ipro7_h265_a:
            case ipro7_h265_b:
            case ipro7_h265_c:
            case ipro7_h265_d:
            case ipro7_h265_e:
            case ipro7_h265_f_om:
            case ipro7_h265_g:
            case ipro7_h265_h_om:
            case ipro7_h265_i:
            case ipro7_h265_j_om:
            case ipro7_h265_k:
            case ipro7_h265_l:
            case ipro7_h265_k_om:
            case ipro7_h265_m:
            case ipro7_h265_l_om:
            case ipro7_h265_n:
            case ipro7_h265_m_om:
            case ipro7_h265_o:
            case ipro7_h265_o_om:
            case ipro7_h265_p:
            case ipro7_h265_p_om:
            case ipro7_h265_q:
            case ipro7_h265_q_om:
            case ipro7_h265_r:



                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table7H264;
                    bitrate_FaceMatching = bitrateTable7_FaceMatching;
                    if (n_camRate == 0) { 
                        n_camRate = 1;　　 
                    }
                } else if (camComp[i] == p_MPEG4) {
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table7MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            case iprpV_b:
            case iprpV_c:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table8H264;
                    bitrate_FaceMatching = bitrateTable8_FaceMatching;
                    if (n_camRate == 0) { 
                        n_camRate = 1;　　 
                    }
                } else if (camComp[i] == p_MPEG4) {
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table8MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            case iprpV_d:
              if (camComp[i] == p_H264) {
                    List_bitrateTable =List_Table9H264;
                    bitrate_FaceMatching = bitrateTable9_FaceMatching;
                    if (n_camRate == 0) { 
                        n_camRate = 1;　　 
                    }
                } else if (camComp[i] == p_MPEG4) {
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable =List_Table9MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            case iprpV_a:
              if (camComp[i] == p_H264) {
                    List_bitrateTable =List_Table10H264;
                    bitrate_FaceMatching = bitrateTable10_FaceMatching;
                    if (n_camRate == 0) { 
                        n_camRate = 1;　　 
                    }
                } else if (camComp[i] == p_MPEG4) {
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable =List_Table10MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            case ipro11_h265_a:

               if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table11H264;
                    bitrate_FaceMatching = bitrateTable11_FaceMatching;
                    if (n_camRate == 0) { 
                        n_camRate = 1;　　 
                    }
                } else if (camComp[i] == p_MPEG4) {
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table11MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            case BB1_BB2:
            case BB3_Std:
            case BB3_HD:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table3H264;
                } else if (camComp[i] == p_MPEG4) {
                    List_bitrateTable = List_Table3MPEG4;
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table3MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                vmdsize = 0;
                break;

            case mic1_omni:  
                vmdsize = 0;
                n_camAudio = 0;
                break;
            }

        camBpr[i] = 0;
        if (camComp[i] != p_blank) {

            if (i <= MaxFMcamNum && camFace[i] == true) {
                bitrate[i] = bitrate_FaceMatching;
            } else if (n_camMode == mic1_omni) {
                bitrate[i] = 0;  
            } else {
                bitrate[i] =
                        List_bitrateTable[n_camSize][n_camQuality][n_camRate];
            }

            var recAudio = AUDIO * n_camAudio;
            if (bitrate_OmniMic > 0) {  
                bitrate[i] += bitrate_OmniMic;
                recAudio = 0;           
            }

            var cap = bitrate[i] / 8 + recAudio + vmdsize;

            if (0 == v_camRec[i]) {
                calcInfo.capacity[0] += cap;
            } else if (1 == v_camRec[i]) {
                calcInfo.capacity[1] += cap;
            } else if (2 == v_camRec[i]) {
                calcInfo.capacity[2] += cap;
            } else if (3 == v_camRec[i]) {
                calcInfo.capacity[3] += cap;
            }

            camBpr[i] = (bitrate[i] * (bJpegCam == true ? defGetaJpeg : 1));
            calcInfo.videocapacity += camBpr[i];
        }
    }

    var sumTimetable = new Array([0, 0], [0, 0], [0, 0], [0, 0]);
    var timetable = new Array([0, 0, 0], [0, 0, 0], [0, 0, 0], [0, 0, 0]);
    var s_time = 0;
    var e_time = 0;
    var st_h = 0;
    var et_m = 0;
    var st_h = 0;
    var et_m = 0;

    for (var sch = 0; sch < MaxScheduleNum; sch++) {
        var sch_str = '_' + String(sch + 1);
        for (var i = 1; i <= 2; i++) {
            for (var j = 1; j <= 3; j++) {
                st_h = F['tbl' + i + 'begin_h' + j + sch_str].value;
                st_m = F['tbl' + i + 'begin_m' + j + sch_str].value;
                et_h = F['tbl' + i + 'end_h' + j + sch_str].value;
                et_m = F['tbl' + i + 'end_m' + j + sch_str].value;

                s_time = Number(st_h) + Number(st_m);
                e_time = Number(et_h) + Number(et_m);

                if (s_time < e_time) {
                    timetable[sch][j - 1] = e_time - s_time;
                    sumTimetable[sch][i - 1] += timetable[sch][j - 1];
                }
            }
        }
    }

    var rb_week = new Array([], [], [], []);

    for (var sch = 0; sch < MaxScheduleNum; sch++) {

        var idx = new Array(7);

        switch (Number(sch)) {
            case 0:
                idx[0] = getRadioValue(form1.rb_mon_1);
                idx[1] = getRadioValue(form1.rb_tue_1);
                idx[2] = getRadioValue(form1.rb_wed_1);
                idx[3] = getRadioValue(form1.rb_thu_1);
                idx[4] = getRadioValue(form1.rb_fri_1);
                idx[5] = getRadioValue(form1.rb_sat_1);
                idx[6] = getRadioValue(form1.rb_sun_1);
                rb_week[0] = form1.rb_mon_1[idx[0]].value;
                rb_week[1] = form1.rb_tue_1[idx[1]].value;
                rb_week[2] = form1.rb_wed_1[idx[2]].value;
                rb_week[3] = form1.rb_thu_1[idx[3]].value;
                rb_week[4] = form1.rb_fri_1[idx[4]].value;
                rb_week[5] = form1.rb_sat_1[idx[5]].value;
                rb_week[6] = form1.rb_sun_1[idx[6]].value;
                break;
            case 1:
                idx[0] = getRadioValue(form1.rb_mon_2);
                idx[1] = getRadioValue(form1.rb_tue_2);
                idx[2] = getRadioValue(form1.rb_wed_2);
                idx[3] = getRadioValue(form1.rb_thu_2);
                idx[4] = getRadioValue(form1.rb_fri_2);
                idx[5] = getRadioValue(form1.rb_sat_2);
                idx[6] = getRadioValue(form1.rb_sun_2);
                rb_week[0] = form1.rb_mon_2[idx[0]].value;
                rb_week[1] = form1.rb_tue_2[idx[1]].value;
                rb_week[2] = form1.rb_wed_2[idx[2]].value;
                rb_week[3] = form1.rb_thu_2[idx[3]].value;
                rb_week[4] = form1.rb_fri_2[idx[4]].value;
                rb_week[5] = form1.rb_sat_2[idx[5]].value;
                rb_week[6] = form1.rb_sun_2[idx[6]].value;
                break;
            case 2:
                idx[0] = getRadioValue(form1.rb_mon_3);
                idx[1] = getRadioValue(form1.rb_tue_3);
                idx[2] = getRadioValue(form1.rb_wed_3);
                idx[3] = getRadioValue(form1.rb_thu_3);
                idx[4] = getRadioValue(form1.rb_fri_3);
                idx[5] = getRadioValue(form1.rb_sat_3);
                idx[6] = getRadioValue(form1.rb_sun_3);
                rb_week[0] = form1.rb_mon_3[idx[0]].value;
                rb_week[1] = form1.rb_tue_3[idx[1]].value;
                rb_week[2] = form1.rb_wed_3[idx[2]].value;
                rb_week[3] = form1.rb_thu_3[idx[3]].value;
                rb_week[4] = form1.rb_fri_3[idx[4]].value;
                rb_week[5] = form1.rb_sat_3[idx[5]].value;
                rb_week[6] = form1.rb_sun_3[idx[6]].value;
                break;
            case 3:
                idx[0] = getRadioValue(form1.rb_mon_4);
                idx[1] = getRadioValue(form1.rb_tue_4);
                idx[2] = getRadioValue(form1.rb_wed_4);
                idx[3] = getRadioValue(form1.rb_thu_4);
                idx[4] = getRadioValue(form1.rb_fri_4);
                idx[5] = getRadioValue(form1.rb_sat_4);
                idx[6] = getRadioValue(form1.rb_sun_4);
                rb_week[0] = form1.rb_mon_4[idx[0]].value;
                rb_week[1] = form1.rb_tue_4[idx[1]].value;
                rb_week[2] = form1.rb_wed_4[idx[2]].value;
                rb_week[3] = form1.rb_thu_4[idx[3]].value;
                rb_week[4] = form1.rb_fri_4[idx[4]].value;
                rb_week[5] = form1.rb_sat_4[idx[5]].value;
                rb_week[6] = form1.rb_sun_4[idx[6]].value;
                break;
        }

        for (var i = 0; i <= 6; i++) {
            switch (rb_week[i]) {
            case '0':
                calcInfo.tt_week[sch][i] = 0;
                break;

            case '1':
                calcInfo.tt_week[sch][i] = sumTimetable[sch][0];
                break;

            case '2':
                calcInfo.tt_week[sch][i] = sumTimetable[sch][1];
                break;

            case '3':
                calcInfo.tt_week[sch][i] = sumTimetable[sch][2];
                break;

            case '4':
                calcInfo.tt_week[sch][i] = sumTimetable[sch][3];
                break;

            default:
                calcInfo.tt_week[sch][i] = 0;
                break;
            }
            calcInfo.sumtt_week[sch] += calcInfo.tt_week[sch][i];
        }
    }
    return calcInfo;
}

function Calculate(F, capHDD, capHDDNum, calcInfo) {

    var recmode = Number(form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].value);

    if (calcInfo.videocapacity > LimitInputBand) {
        return -1000;
    }

    var duration_days = 0;

    var validcapHDD = 0;

    if ((0 != calcInfo.capacity[0] && 0 != calcInfo.sumtt_week[0]) ||
        (0 != calcInfo.capacity[1] && 0 != calcInfo.sumtt_week[1]) ||
        (0 != calcInfo.capacity[2] && 0 != calcInfo.sumtt_week[2]) ||
        (0 != calcInfo.capacity[3] && 0 != calcInfo.sumtt_week[3])) {

        validcapHDD = (capHDD - (TIMELINE * capHDDNum)) * 1000 * 1000 * HddEfi;
        if (recmode == p_dualmode) {    
            validcapHDD /= 2;
        }

        var floor = 0;
        while (1) {
            for (var idx = 0; idx <= 6; idx++) {
                var todaycapa = 0;

                todaycapa += calcInfo.capacity[0] * calcInfo.tt_week[0][idx] * 3600;

                todaycapa += calcInfo.capacity[1] * calcInfo.tt_week[1][idx] * 3600;

                todaycapa += calcInfo.capacity[2] * calcInfo.tt_week[2][idx] * 3600;

                todaycapa += calcInfo.capacity[3] * calcInfo.tt_week[3][idx] * 3600;

                if (validcapHDD - todaycapa < 0) {
                    floor = validcapHDD /
                        ((calcInfo.capacity[0] + calcInfo.capacity[1] + calcInfo.capacity[2] + calcInfo.capacity[3]) * 24 * 3600);
                    break;
                }
                validcapHDD -= todaycapa;
                duration_days++;
            }
            if (duration_days > 2000) break;  
            if (0 < floor) {
                duration_days = (duration_days + floor) * 10;
                duration_days = Math.floor(duration_days);
                duration_days = duration_days / 10;
                break;
            }
        }
    }

    if (duration_days >= 1000) {
        duration_days = 999.9;
    }

    return duration_days;
}

function ExtCalculate(F, capHDD, timeLineNum, calcInfo)
{
    var recmode = Number(form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].value);

    if (calcInfo.videocapacity > LimitInputBand) {
        return -1;
    }

    var duration_days = 0;

    var validHDDcap = 0;


    if ((0 != calcInfo.capacity[0] && 0 != calcInfo.sumtt_week[0]) ||
        (0 != calcInfo.capacity[1] && 0 != calcInfo.sumtt_week[1]) ||
        (0 != calcInfo.capacity[2] && 0 != calcInfo.sumtt_week[2]) ||
        (0 != calcInfo.capacity[3] && 0 != calcInfo.sumtt_week[3])) {

        validcapHDD = (capHDD - (TIMELINE * timeLineNum)) * 1000 * 1000 * HddEfi;

        var floor = 0;
        var duration_days = 0;
        while (1) {
            for (var idx = 0; idx <= 6; idx++) {
                var todaycapa = 0; 
                var totalcapa = 0; 

                for (var sch = 0; sch < MaxScheduleNum; sch++) {
                    todaycapa += calcInfo.capacity[sch] * calcInfo.tt_week[sch][idx] * 3600;
                    totalcapa += calcInfo.capacity[sch];
                }

                if (validcapHDD - todaycapa < 0) {
                    floor = validcapHDD / (totalcapa * 24 * 3600);
                    break;
                }
                validcapHDD -= todaycapa;
                duration_days++;
            }
            if (duration_days > 2000) break;  
            if (0 < floor) {
                duration_days = (duration_days + floor) * 10;
                duration_days = Math.floor(duration_days);
                duration_days = duration_days / 10;
                break;
            }
        }
    }
    if (duration_days >= 1000) {
        duration_days = 999.9;
    }

    return duration_days;
}

function hddNumCalculate(F, capHDD, targetDays, calcInfo)
{
    var recModel = Number(form1.sel_RecModel.options[form1.sel_RecModel.selectedIndex].value);
    var recmode = Number(form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].value);

    if (calcInfo.videocapacity > LimitInputBand) {
        return -1;
    }

    var validHDDcap = 0;
    g_HddConfig.mainhddnum = 0;
    g_HddConfig.hde400num = 0;
    g_HddConfig.hde400totalhddnum = 0;

    if ((0 != calcInfo.capacity[0] && 0 != calcInfo.sumtt_week[0]) ||
        (0 != calcInfo.capacity[1] && 0 != calcInfo.sumtt_week[1]) ||
        (0 != calcInfo.capacity[2] && 0 != calcInfo.sumtt_week[2]) ||
        (0 != calcInfo.capacity[3] && 0 != calcInfo.sumtt_week[3])) {

        if ((recModel != p_recmodel_300R) && (recmode == p_singlemode)) {
            g_HddConfig.mainhddnum = HddCapaNum[recModel];
            validHDDcap = (HddCapacity[recModel] - TIMELINE * g_HddConfig.mainhddnum) * 1000 * 1000 * HddEfi;
        }

        var floor = 0;
        var duration_days = 0;
        while (1) {
            for (var idx = 0; idx <= 6; idx++) {
                var todaycapa = 0; 

                for (var sch = 0; sch < MaxScheduleNum; sch++) {
                    todaycapa += calcInfo.capacity[sch] * calcInfo.tt_week[sch][idx] * 3600;
                }

                if (validHDDcap - todaycapa < 0) { 
                    if (0 == (g_HddConfig.hde400totalhddnum % extunit_hddmax) && (g_HddConfig.hde400num < extunit_num)) {    
                       g_HddConfig.hde400num++;  
                       switch (recmode) { 
                           case p_raid6mode:
                               g_HddConfig.hde400totalhddnum++; 
                           case p_raid5mode:
                               g_HddConfig.hde400totalhddnum += 3; 
                               validHDDcap += (capHDD * 2 - TIMELINE) * 1000 * 1000 * HddEfi;
                               break;
                           case p_singlemode:
                               g_HddConfig.hde400totalhddnum++; 
                               validHDDcap += (capHDD - TIMELINE) * 1000 * 1000 * HddEfi;
                               break;
                           default:
                               break;
                       }
                    } else if (g_HddConfig.hde400totalhddnum < (extunit_num * extunit_hddmax)) {  
                       switch (recmode) { 
                           case p_raid5mode:
                           case p_raid6mode:
                               g_HddConfig.hde400totalhddnum++; 
                               validHDDcap += capHDD * 1000 * 1000 * HddEfi;  
                               break;
                           case p_singlemode:
                               g_HddConfig.hde400totalhddnum++; 
                               validHDDcap += (capHDD - TIMELINE) * 1000 * 1000 * HddEfi;
                               break;
                           default:
                               break;
                       }
                    } else { 
                      return -1; 
                    }
                }

                if (validHDDcap - todaycapa < 0) {
                    break;  
                }
                duration_days++;
                validHDDcap -= todaycapa;
                if (duration_days >= targetDays) {
                    return 0;
                }
            }
        }
    }
    return 0;
}

function mainUnitCalculate(F, calcInfo) {
    var result = new Array();
    var max = HddCapacity.length - 1; 
    var recmode = Number(form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].value);

    for (var i = 0; i < max; i++) {
        result[i] = Calculate(F, HddCapacity[i], HddCapaNum[i], calcInfo);

        if (-1000 == result[i]) {
            txt_s_message.innerHTML = alert_limitover;
            txt_s_message.style.color = '#FF0000';
            for (var j = 0; j < max; j++) {
                result[j] = 0;
            }
            break;
        } else if (0 > result[i]) {
            txt_s_message.innerHTML = alert_recommendover;
            txt_s_message.style.color = '#FF0000';
            result[i] = result[i] * -1;
        } else {
            txt_s_message.innerHTML = '';
            txt_s_message.style.color = '#FFFFFF';
        }
    }

    if (app_dst == 'ja') {

        if (result[0] <= 0) {
            form1.u_result_2Tx2.value = '-';
            form1.u_result_2Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_2Tx2.value = NumToLocalString(result[0]);
            form1.u_result_2Tx2.style.background = '#FFFF80';
        }

        if (result[1] <= 0) {
            form1.u_result_3Tx2.value = '-';
            form1.u_result_3Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_3Tx2.value = NumToLocalString(result[1]);
            form1.u_result_3Tx2.style.background = '#FFFF80';
        }

        if (result[2] <= 0) {
            form1.u_result_4Tx2.value = '-';
            form1.u_result_4Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_4Tx2.value = NumToLocalString(result[2]);
            form1.u_result_4Tx2.style.background = '#FFFF80';
        }
    } else {
        if (result[0] <= 0) {
            form1.u_result_1Tx1.value = '-';
            form1.u_result_1Tx1.style.background = '#C8C8C8';
        } else {
            if (recmode == p_dualmode) {
                form1.u_result_1Tx1.value = '-';
                form1.u_result_1Tx1.style.background = '#C8C8C8';
            } else {
                form1.u_result_1Tx1.value = NumToLocalString(result[0]);
                form1.u_result_1Tx1.style.background = '#FFFF80';
            }
        }
        if (result[1] <= 0) {
            form1.u_result_1Tx2.value = '-';
            form1.u_result_1Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_1Tx2.value = NumToLocalString(result[1]);
            form1.u_result_1Tx2.style.background = '#FFFF80';
        }
        if (result[2] <= 0) {
            form1.u_result_3Tx1.value = '-';
            form1.u_result_3Tx1.style.background = '#C8C8C8';
        } else {
            if (recmode == p_dualmode) {
                form1.u_result_3Tx1.value = '-';
                form1.u_result_3Tx1.style.background = '#C8C8C8';
            } else {
                form1.u_result_3Tx1.value = NumToLocalString(result[2]);
                form1.u_result_3Tx1.style.background = '#FFFF80';
            }
        }
        if (result[3] <= 0) {
            form1.u_result_2Tx2.value = '-';
            form1.u_result_2Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_2Tx2.value = NumToLocalString(result[3]);
            form1.u_result_2Tx2.style.background = '#FFFF80';
        }

        if (result[4] <= 0) {
            form1.u_result_5Tx1.value = '-';
            form1.u_result_5Tx1.style.background = '#C8C8C8';
        } else {
            if (recmode == p_dualmode) {
                form1.u_result_5Tx1.value = '-';
                form1.u_result_5Tx1.style.background = '#C8C8C8';
            } else {
                form1.u_result_5Tx1.value = NumToLocalString(result[4]);
                form1.u_result_5Tx1.style.background = '#FFFF80';
            }
        }

        if (result[5] <= 0) {
            form1.u_result_3Tx2.value = '-';
            form1.u_result_3Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_3Tx2.value = NumToLocalString(result[5]);
            form1.u_result_3Tx2.style.background = '#FFFF80';
        }

        if (result[6] <= 0) {
            form1.u_result_4Tx2.value = '-';
            form1.u_result_4Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_4Tx2.value = NumToLocalString(result[6]);
            form1.u_result_4Tx2.style.background = '#FFFF80';
        }

        if (result[7] <= 0) {
            form1.u_result_5Tx2.value = '-';
            form1.u_result_5Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_5Tx2.value = NumToLocalString(result[7]);
            form1.u_result_5Tx2.style.background = '#FFFF80';
        }

        if (result[8] <= 0) {
            form1.u_result_6Tx2.value = '-';
            form1.u_result_6Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_6Tx2.value = NumToLocalString(result[8]);
            form1.u_result_6Tx2.style.background = '#FFFF80';
        }
    }
}

 function NumToLocalString(num)
 {
      var str;
     if (bNumLocalString == true) {
         str = Number(num).toLocaleString();
     } else {
          str = Number(num).toString();
      }
      return str;
 }

function extUnitCalculate(F, calcInfo) {
    var recmode = Number(form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].value);
    var exthddCapa = Number(form1.sel_HDD.options[form1.sel_HDD.selectedIndex].value) * 1000;

    if (recmode == p_singlemode) {
        form1.sel_RecModel.disabled = false;
        form1.sel_HDD.disabled = false;
        form1.u_result_ext1_tb.style.background = '#FFFF80';
        form1.u_result_ext2_tb.style.background = '#FFFF80';
        form1.u_result_ext1_tb.value = '';
        form1.u_result_ext2_tb.value = '';

        form1.u_result_recdaysmax_tb.style.background = '#FFFF80';
        form1.u_result_ext1max_tb.style.background = '#FFFF80';
        form1.u_result_ext2max_tb.style.background = '#FFFF80';
        form1.u_result_recdaysmax_tb.value = '';
        form1.u_result_ext1max_tb.value = '';
        form1.u_result_ext2max_tb.value = '';

    } else if (recmode == p_dualmode) {
        form1.sel_RecModel.disabled = true;
        form1.u_input_recdays_tb.value = '';
        form1.sel_RecModel.selectedIndex = sel_recmodel.length - 2; 
        form1.sel_HDD.disabled = true;
        form1.sel_HDD.selectedIndex = 0; 

        form1.u_result_ext1_tb.style.background = '#C8C8C8';
        form1.u_result_ext2_tb.style.background = '#C8C8C8';
        form1.u_result_ext1_tb.value = '-';
        form1.u_result_ext2_tb.value = '-';

        form1.u_result_recdaysmax_tb.style.background = '#C8C8C8';
        form1.u_result_ext1max_tb.style.background = '#C8C8C8';
        form1.u_result_ext2max_tb.style.background = '#C8C8C8';
        form1.u_result_recdaysmax_tb.value = '-';
        form1.u_result_ext1max_tb.value = '-';
        form1.u_result_ext2max_tb.value = '-';

    } else { 
        if (app_dst == 'ja') {
            form1.u_result_2Tx2.value = '-';
            form1.u_result_2Tx2.style.background = '#C8C8C8';

            form1.u_result_3Tx2.value = '-';
            form1.u_result_3Tx2.style.background = '#C8C8C8';

            form1.u_result_4Tx2.value = '-';
            form1.u_result_4Tx2.style.background = '#C8C8C8';

        } else {
            form1.u_result_1Tx1.value = '-';
            form1.u_result_1Tx1.style.background = '#C8C8C8';

            form1.u_result_1Tx2.value = '-';
            form1.u_result_1Tx2.style.background = '#C8C8C8';

            form1.u_result_3Tx1.value = '-';
            form1.u_result_3Tx1.style.background = '#C8C8C8';

            form1.u_result_2Tx2.value = '-';
            form1.u_result_2Tx2.style.background = '#C8C8C8';

            form1.u_result_5Tx1.value = '-';
            form1.u_result_5Tx1.style.background = '#C8C8C8';

            form1.u_result_3Tx2.value = '-';
            form1.u_result_3Tx2.style.background = '#C8C8C8';

            form1.u_result_4Tx2.value = '-';
            form1.u_result_4Tx2.style.background = '#C8C8C8';

            form1.u_result_5Tx2.value = '-';
            form1.u_result_5Tx2.style.background = '#C8C8C8';

            form1.u_result_6Tx2.value = '-';
            form1.u_result_6Tx2.style.background = '#C8C8C8';
        }

        form1.sel_HDD.disabled = false;
        form1.u_result_ext1_tb.style.background = '#FFFF80';
        form1.u_result_ext2_tb.style.background = '#FFFF80';
        form1.u_result_ext1_tb.value = '';
        form1.u_result_ext2_tb.value = '';

        form1.u_result_recdaysmax_tb.style.background = '#FFFF80';
        form1.u_result_ext1max_tb.style.background = '#FFFF80';
        form1.u_result_ext2max_tb.style.background = '#FFFF80';
        form1.u_result_recdaysmax_tb.value = '';
        form1.u_result_ext1max_tb.value = '';
        form1.u_result_ext2max_tb.value = '';
    }

    var recDays = Number(form1.u_input_recdays_tb.value);
    if (recDays == 0) {
        form1.u_result_ext1_tb.style.background = '#C8C8C8';
        form1.u_result_ext2_tb.style.background = '#C8C8C8';
        form1.u_result_ext1_tb.value = '-';
        form1.u_result_ext2_tb.value = '-';
    }

    if (recmode != p_dualmode) {
        var result = 0;
        if (recDays != 0) {
            g_HddConfig = new HddConfigInfo(0, 0, 0);
            result = hddNumCalculate(F, exthddCapa, recDays, calcInfo); 

            if (-1 == result) {
                form1.u_result_ext1_tb.style.background = '#C8C8C8';
                form1.u_result_ext2_tb.style.background = '#C8C8C8';

                form1.u_result_ext1_tb.value = '-';
                form1.u_result_ext2_tb.value = '-';

            } else {
                form1.u_result_ext1_tb.value = g_HddConfig.hde400num;
                form1.u_result_ext2_tb.value = g_HddConfig.hde400totalhddnum;
                form1.u_result_ext1_tb.style.background = '#FFFF80';
                form1.u_result_ext2_tb.style.background = '#FFFF80';
            }
        }

        var maxHddCapa = 0;
        var timeLineNum = 0;
        var recModel = Number(form1.sel_RecModel.options[form1.sel_RecModel.selectedIndex].value);

        maxHddCapa = HddCapacity[recModel];      

        if (recmode == p_singlemode) {
            timeLineNum = single_totalhddnum + HddCapaNum[recModel];  
            maxHddCapa += exthddCapa * single_totalhddnum;          
        } else if (recmode == p_raid5mode) {
            timeLineNum = extunit_num;
            maxHddCapa = exthddCapa * raid5_totalhddnum;
        } else if (recmode == p_raid6mode) {
            timeLineNum = extunit_num;
            maxHddCapa = exthddCapa * raid6_totalhddnum;
        }

        result = ExtCalculate(F, maxHddCapa, timeLineNum, calcInfo); 
        if (-1000 == result) {
            result = 0;
        } else if (0 > result) {
            result = result * -1;
        }

        if ((result <= 0) || (calcInfo.videocapacity > LimitInputBand)) {  
            form1.u_result_recdaysmax_tb.style.background = '#C8C8C8';
            form1.u_result_ext1max_tb.style.background = '#C8C8C8';
            form1.u_result_ext2max_tb.style.background = '#C8C8C8';

            form1.u_result_recdaysmax_tb.value = '-';
            form1.u_result_ext1max_tb.value = '-';
            form1.u_result_ext2max_tb.value = '-';

        } else if (result >= 999.9) {
            form1.u_result_recdaysmax_tb.value = NumToLocalString(result);
            form1.u_result_ext1max_tb.style.background = '#C8C8C8';
            form1.u_result_ext2max_tb.style.background = '#C8C8C8';
            form1.u_result_ext1max_tb.value = '-';
            form1.u_result_ext2max_tb.value = '-';
        } else {
            form1.u_result_recdaysmax_tb.style.background = '#FFFF80';
            form1.u_result_ext1max_tb.style.background = '#FFFF80';
            form1.u_result_ext2max_tb.style.background = '#FFFF80';

            form1.u_result_recdaysmax_tb.value = NumToLocalString(result);
            form1.u_result_ext1max_tb.value = extunit_num;
            form1.u_result_ext2max_tb.value = extunit_num * extunit_hddmax;
        }
    }
}

function allCalculate(F) {

    var calcInfo = get_CalcInfo(F);

    mainUnitCalculate(F, calcInfo);

    extUnitCalculate(F, calcInfo);

}


function change_camonoff(obj, F) {
    var camno = obj.name;

    $('#cam' + camno + 'model').val(1);

    var camobj = 'cam' + camno + 'model';
    var change_camobj = document.getElementById(camobj);
    change_CamModel(change_camobj, F);
}

function change_Hdd(obj, F) {
    allCalculate(F);
}

function change_RecModel(obj, F) {
    allCalculate(F);
}

